Skip to content

Search Companies

Request

Search and filter companies. Returns a paginated list of companies matching the filter criteria.

Intent topic filtering is unrestricted — all intent topics are available regardless of provisioning.

Security
authorization
Bodyapplication/jsonrequired

Search Request

fieldsArray of strings, non-emptyrequired

Fields to include in the response. At least one field is required.

Example:
[ "id", "name", "domain", "domain_normalized" ]
filtersobjectrequired

Filters object

Example:
{ "ai_maturity": { "ai_maturity_6m_delta": {}, "ai_maturity_rank": {}, "ai_maturity_score": {}, "ai_product_use": false, "data_maturity_level": [], "dominant_cloud_provider": [], "genai_intent_score": {} }, "cloud_maturity": { "aws_products_count": {}, "azure_products_count": {}, "cloud_stack_percent_change": {}, "current_products_used_cloud_percent": {}, "current_products_used_total_count": {}, "gcp_products_count": {}, "new_products_used_cloud_percent": {} }, "company_identifiers": { "company_ids": {} }, "corporate_hierarchy": { "is_domestic_parent": true, "is_global_headquarters": true }, "firmographics": { "company_level": "CORPORATE_PARENT", "country_codes": [], "employees": {}, "industries": [], "naics_codes": [], "region_names": {}, "revenue": {}, "sic_codes": [] }, "installs": { "country": {}, "product_attributes": {}, "product_categories": {}, "product_last_verified_date": {}, "products": [], "vendors": [] }, "intent": { "context_type_ids": {}, "location": {}, "signal_score": "MEDIUM", "topics": {} }, "spend": [ {} ] }
limitinteger, [ 1 .. 100 ]

Maximum number of companies to return

Default:10
Example:10
offsetinteger, [ 0 .. 24999 ]

Number of companies to skip (max 24,999)

Default:0
Example:0
sortsArray of objects

List of sort objects

Default:[]
Example:
[ { "direction": "ASC", "field": "name" } ]
POST
/data-api/v2/companies/search
curl -i -X POST \
  https://api.hginsights.com/data-api/v2/companies/search \
  -H 'Authorization: Bearer <YOUR_API_KEY_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "fields": [
      "id",
      "name",
      "domain"
    ],
    "filters": {
      "company_identifiers": {
        "company_ids": {
          "ids": [
            "1698C53EBC888758570396E0334965C1"
          ],
          "inclusion_method": "ANY_PRESENT"
        }
      },
      "firmographics": {
        "company_level": "CORPORATE_PARENT",
        "country_codes": [
          {
            "ids": [
              "US"
            ],
            "inclusion_method": "ANY_PRESENT"
          }
        ],
        "employees": {
          "has_fixed_employees": true,
          "min": 1000
        },
        "industries": [
          {
            "ids": [
              16
            ],
            "inclusion_method": "ANY_PRESENT"
          }
        ],
        "revenue": {
          "has_fixed_revenue": true,
          "min": 10000000
        }
      },
      "installs": {
        "products": [
          {
            "ids": [
              814
            ],
            "inclusion_method": "ANY_PRESENT"
          }
        ],
        "vendors": [
          {
            "ids": [
              316
            ],
            "inclusion_method": "ANY_PRESENT"
          }
        ]
      },
      "spend": [
        {
          "categories": {
            "ids": [
              "3B36D42E7F8E60BE58BA4356B6AF40C"
            ],
            "inclusion_method": "ANY_PRESENT"
          },
          "range": {
            "min": 100000
          }
        }
      ]
    },
    "limit": 10,
    "offset": 0,
    "sorts": [
      {
        "direction": "ASC",
        "field": "name"
      }
    ]
  }'

Responses

Search Response

Bodyapplication/json
companiesArray of objectsrequired
Example:
[ { "domain": "ford.com", "id": "3AE6DA985017C625659E242A074C5A88", "name": "Ford Motor Company" } ]
countintegerrequired

Total number of companies matching the filters (before pagination)

Example:1
Response
{ "companies": [ {} ], "count": 1 }